Subject: Re: [Roll] Lars Eggert's No Objection on draft-ietf-roll-aodv-rpl-10: (with COMMENT)

From: Charles Perkins <[email-masked]>
Date: Wed, 18 Aug 2021 13:06:10 -0700

Hello Lars,

Please excuse the unusually long delay it has taken for us to respond to 
your comments.

Regarding the following:

 >  Lars Eggert No Objection
 > Comment (2021-04-14)

 > Section 2, paragraph 1, comment:
 >> 2.  Terminology

 > Is there some logic as to which terms are capitalized and which are 
not? (Also
 > in the text.)

It is meant to improve the readability by selectively capitalizing certain
terms what we felt appropriate.  This is often very subjective.  Do you have
any suggestions for improvement?

-------------------------------------------------------------------------------
 > All comments below are very minor change suggestions that you may 
choose to
 > incorporate in some way (or ignore), as you see fit. There is no need 
to let me
 > know what you did with these suggestions.

 > Section 4.1, paragraph 10, nit:
 >>    X
 >>       Reserved.

 > Any recommendation what this should be set to on send?

We should say it is set to 0.

 > Section 4.2, paragraph 9, nit:
 >>    X
 >>       Reserved.

 > Any recommendation what this should be set to on send?

We should say it is set to 0.

 > Section 4.2, paragraph 13, nit:
 >>    Rsv
 >>       MUST be initialized to zero and ignored upon reception.

 > I guess these bits are reserved? Could you not just mark them X?

We can use XXX instead of Rsv.

 > Section 4.3, paragraph 6, nit:
 >>                Figure 3: ART Option format for AODV-RPL MOP

 > X is missing from the description of the fields.

Fixed.

 > Section 1, paragraph 4, nit:
 > -    functionality to support routes with birectional asymmetric links.
 > +    functionality to support routes with bidirectional asymmetric links.
 > +                                           ++

Fixed.

 > Section 5, paragraph 7, nit:
 > -    of cells used in 6tisch), a priori knowledge (e.g. link quality
 > +    of cells used in 6tisch), a priori knowledge (e.g., link quality
 > +                                                      +

Fixed.

 > Section 5, paragraph 7, nit:
 > -    for evaluating link state (see([RFC7548], [RFC7276], [co-ioam]) MAY
 > -                                  ^
 > +    for evaluating link state (see [RFC7548], [RFC7276], [co-ioam]) MAY
 > +                                  ^

Fixed.

 > Section 6.2.1, paragraph 4, nit:
 > -       the downward (i.e. towards the TargNode) direction of the link
 > +       the downward (i.e., towards the TargNode) direction of the link
 > +                         +

Fixed.

 > Section 6.3.1, paragraph 2, nit:
 > -    symmetric route along which both directions satisfy the Objective
 > -                    ------------
 > +    symmetric route both of whose directions satisfy the Objective
 > +                        +++++++++

Fixed.

 > Section 6.3.1, paragraph 2, nit:
 > -    routes (i.e.  S=0).  Selection between a qualified symmetric route
 > -                ^
 > +    routes (i.e., S=0).  Selection between a qualified symmetric route
 > +

Fixed.

Regards,
Charlie P.

On 4/14/2021 8:46 AM, Lars Eggert via Datatracker wrote:
> Lars Eggert has entered the following ballot position for
> draft-ietf-roll-aodv-rpl-10: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-roll-aodv-rpl/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Section 2, paragraph 1, comment:
>> 2.  Terminology
> Is there some logic as to which terms are capitalized and which are not? (Also
> in the text.)
>
> -------------------------------------------------------------------------------
> All comments below are very minor change suggestions that you may choose to
> incorporate in some way (or ignore), as you see fit. There is no need to let me
> know what you did with these suggestions.
>
> Section 4.1, paragraph 10, nit:
>>     X
>>        Reserved.
> Any recommendation what this should be set to on send?
>
> Section 4.2, paragraph 9, nit:
>>     X
>>        Reserved.
> Any recommendation what this should be set to on send?
>
> Section 4.2, paragraph 13, nit:
>>     Rsv
>>        MUST be initialized to zero and ignored upon reception.
> I guess these bits are reserved? Could you not just mark them X?
>
> Section 4.3, paragraph 6, nit:
>>                 Figure 3: ART Option format for AODV-RPL MOP
> X is missing from the description of the fields.
>
> Section 1, paragraph 4, nit:
> -    functionality to support routes with birectional asymmetric links.
> +    functionality to support routes with bidirectional asymmetric links.
> +                                           ++
>
> Section 5, paragraph 7, nit:
> -    of cells used in 6tisch), a priori knowledge (e.g. link quality
> +    of cells used in 6tisch), a priori knowledge (e.g., link quality
> +                                                      +
>
> Section 5, paragraph 7, nit:
> -    for evaluating link state (see([RFC7548], [RFC7276], [co-ioam]) MAY
> -                                  ^
> +    for evaluating link state (see [RFC7548], [RFC7276], [co-ioam]) MAY
> +                                  ^
>
> Section 6.2.1, paragraph 4, nit:
> -       the downward (i.e. towards the TargNode) direction of the link
> +       the downward (i.e., towards the TargNode) direction of the link
> +                         +
>
> Section 6.3.1, paragraph 2, nit:
> -    symmetric route along which both directions satisfy the Objective
> -                    ------------
> +    symmetric route both of whose directions satisfy the Objective
> +                        +++++++++
>
> Section 6.3.1, paragraph 2, nit:
> -    routes (i.e.  S=0).  Selection between a qualified symmetric route
> -                ^
> +    routes (i.e., S=0).  Selection between a qualified symmetric route
> +                ^
>
>
>

---

From: Lars Eggert <[email-masked]>
Date: Thu, 19 Aug 2021 11:01:28 +0300

Hi,

On 2021-8-18, at 23:06, Charles Perkins <[email-masked]> wrote:
> Please excuse the unusually long delay it has taken for us to respond to your comments.

 no worries. I just came back from vacation myself and would not have responded earlier anyway.

> any suggestions for improvement?

I found the capitalization applied inconsistently, and found that confusing. I'd suggest to either consistently capitalize or  - rather - not to capitalize at all.

Thanks,
Lars